////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// F A R M     -  Flair advanced rendering module
//
// Copyright European Organization for Nuclear Research( CERN )
// All rights reserved
//
// Authors: Christian.Theis@cern.ch
//			    Vasilis.Vlachoudis@cern.ch
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef BXDF_LAMBERT_H
#define BXDF_LAMBERT_H

#include "bxdfbase.h"

class CBxDFLambert : public CBxDFBase
{
public:
  CBxDFLambert(void);
  virtual ~CBxDFLambert(void);

  // f( Out, In) evaluates the BxDF for the in & outgoing pair of rays
  virtual double f( const Ray& Out, const Ray& In, const Vector& Normal, const Material& RenderMat, const Color& LightColor = Color( 1.0, 1.0, 1.0 ), double Power = 1.0, float Shade = 1.0f ) override;
	virtual double GetPDF( const Vector& Out, const Vector& In, const Vector& Normal ) const override {
		UNUSED( In ); UNUSED( Out ); UNUSED( Normal );
		return 1.0;
	};

};

#endif
// vim:ts=2
