/*
 * Copyright European Organization for Nuclear Research (CERN)
 * All rights reserved
 *
 * Author:	Vasilis.Vlachoudis@cern.ch
 * Date:	04-Feb-2010
 */

#ifndef __MATH_EPS_H
#define __MATH_EPS_H

#include "os.h"

const double ZERO       = 1.0e-30;
const double TOOSMALL   = 1.0e-20;
const double SMALL      = 1.0e-15;
const double SMALL1     = 10.0*SMALL;
const double SMALL2     = 100.0*SMALL;
const double SMALL3     = 1000.0*SMALL;
const double SMALL4     = 10000.0*SMALL;
const double SMALL5     = 100000.0*SMALL;

const double SMALL3D    = 1.0e-10;
const double SMALL3D1   = 10.0*SMALL3D;
const double SMALL3D2   = 100.0*SMALL3D;
const double SMALL3D3   = 1000.0*SMALL3D;
const double SMALL3D4   = 10000.0*SMALL3D;

const double INFINITE   = 1.0e+15;
const double SINFINITE  = 0.999999999e+15;	// slightly smaller than infinite

const double FLOATSMALL = 1.0e-7;
const double FLOATBIG   = 1.0e10;

//#define ISZERO(x)	Eq0(x,TOOSMALL)
//#define ISSMALL(x)	Eq0(x,SMALL)
//#define ISEQ(x,v)	Eq(x,v,TOOSMALL)

inline double ISZERO(const double x)			{ return Eq0(x,TOOSMALL); }
inline double ISSMALL(const double x)			{ return Eq0(x,SMALL); }
inline double ISEQ(const double x,const double v)	{ return Eq(x,v,TOOSMALL); }

#endif
